﻿/*!!! SHARED FILE */
/*TOP HEADER BAR and Branding*/
body {
  overflow-y: hidden;
}
.body-content {
  display: table;
  position: absolute;
  width: 100%;
  max-width: 100%;
  height: 100%;
  padding: 0;
  background-color: #1A1A1A;
}
form {
  display: table-cell;
  vertical-align: middle;
}
.form-control {
  border-radius: 2px;
  color: #4d4d4d;
  font-size: 14px;
  font-weight: 400;
  width: 100%;
  font-style: normal;
  font-stretch: normal;
  height: 40px;
  box-shadow: none;
  padding: 7px;
  background-color: #fff;
  border: 1px solid #d3d3d3;
}
.login-form {
  width: 432px;
  max-width: 432px;
  min-width: 440px;
  background-color: white;
  vertical-align: middle;
  padding: 28px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
}
@media (max-width: 440px), (max-height: 300px) {
  .login-form {
    width: 100%;
    max-width: 100%;
    height: 100%;
    margin: 0px;
  }
}
@media (max-height: 300px) {
  body {
    overflow-y: auto;
  }
}
.login-form-logo {
  background-image: url('../../Resources/img/xtel-logo-black.png');
  background-repeat: no-repeat;
  width: 100%;
  height: 24px;
  display: inline-block;
  text-align: center;
  background-position: center;
  margin-bottom: 36px;
}
.btn {
  font-size: 14px;
  padding: 8px 12px;
  line-height: 1.6;
  border-radius: 2px;
  opacity: 1;
  min-width: 72px;
}
.btn.btn-default {
  border: none;
  background-color: #008fe1;
  box-shadow: none;
  font-family: Roboto-Regular, Helvetica, Arial, sans-serif;
  height: 40px;
  color: #fff;
}
.btn.btn-default.login-btn {
  display: block;
  font-weight: 400;
  width: 65%;
  margin: 32px auto 0;
  letter-spacing: 1px;
}
.username-box.input-validation-error {
  border-color: #a94442;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}
.alert {
  border: none;
  background: 0 0;
  font-size: 12px;
  margin: 0;
  padding: 8px 0;
  border-radius: 0;
}
.alert.alert-danger {
  color: #d9534f;
}
.login-group input {
  max-width: none;
  padding-right: 32px;
}
.login-form-icon {
  position: absolute;
  top: 103px;
  right: 35px;
  width: 20px;
  height: 20px;
}
.material-icons {
  font-family: 'Material Icons';
  font-weight: 400;
  font-style: normal;
  font-size: 20px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  color: #848484;
  cursor: pointer;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-feature-settings: 'liga';
  font-feature-settings: 'liga';
}
.bridge-no-box-shadow {
  -webkit-box-shadow: none;
  box-shadow: none;
}
.bridge-field {
  margin: 5px 10px;
  padding: 0 10px;
  height: 40px;
  box-sizing: border-box;
}
.bridge-bordered-field {
  margin: 5px 10px;
  padding: 0 10px;
  height: 40px;
  box-sizing: border-box;
  border-style: solid;
  border-width: 1px 1px 1px 2px;
  border-radius: 2px;
  border-top-color: #D3D3D3;
  border-right-color: #D3D3D3;
  border-bottom-color: #D3D3D3;
  border-left-color: #008FE1;
}
.bridge-field-label {
  font-size: 10px;
  font-weight: initial;
  text-transform: uppercase;
  margin: 0;
  box-sizing: border-box;
  color: #939393;
}
.bridge-label-required {
  color: #BA1C24;
  font-size: 10px;
  font-weight: bold;
}
.bridge-bordered-field-label {
  font-size: 10px;
  font-weight: initial;
  text-transform: uppercase;
  margin: 0;
  box-sizing: border-box;
  color: #939393;
  padding-bottom: 4px;
}
.bridge-bordered-field-input-wrap {
  -webkit-box-shadow: none;
  box-shadow: none;
  box-sizing: border-box;
  border: none;
  border-width: 0;
  font-size: 12px;
  line-height: normal;
  padding: 0;
  color: #000000;
  display: block;
  width: 100%;
  height: initial;
}
.bridge-bordered-field-input {
  max-width: initial;
  width: 100%;
  text-indent: initial;
}
.bridge-bordered-field-read-only {
  background-color: initial;
  opacity: initial;
  cursor: initial;
}
.bridge-field-form-control {
  height: initial;
  border-radius: 0;
  border: none;
  margin: 0;
}
.bridge-field-err-msg {
  color: #BA1C24;
  font-size: 12px;
  font-weight: 500;
}
/*#region ComboBox*/
.bridge-combobox-field {
  margin: 5px 10px;
  padding: 0 10px;
  height: 40px;
  box-sizing: border-box;
  border-style: solid;
  border-width: 1px 1px 1px 2px;
  border-radius: 2px;
  border-top-color: #D3D3D3;
  border-right-color: #D3D3D3;
  border-bottom-color: #D3D3D3;
  border-left-color: #008FE1;
}
.bridge-combobox-field label {
  font-size: 10px;
  font-weight: initial;
  text-transform: uppercase;
  margin: 0;
  box-sizing: border-box;
  color: #939393;
  padding-bottom: 4px;
}
.bridge-combobox-field label::after {
  content: ":";
}
.bridge-combobox-field .form-control {
  height: initial;
  border-radius: 0;
  border: none;
  margin: 0;
}
.bridge-combobox-field .k-header {
  background-color: initial;
}
.bridge-combobox-field input,
.bridge-combobox-field span.k-dropdown,
.bridge-combobox-field span.k-dropdown-wrap,
.bridge-combobox-field span.k-dropdown-wrap .k-input {
  -webkit-box-shadow: none;
  box-shadow: none;
  box-sizing: border-box;
  border: none;
  border-width: 0;
  font-size: 12px;
  line-height: normal;
  padding: 0;
  color: #000000;
  display: block;
  width: 100%;
  height: initial;
  cursor: initial;
}
.bridge-combobox-field .k-i-arrow-60-down {
  cursor: initial;
}
.bridge-combobox-field span.k-input {
  max-width: initial;
  width: 100%;
  text-indent: initial;
}
.bridge-combobox-field input:disabled,
.bridge-combobox-field input:read-only,
.bridge-combobox-field .form-control:disabled,
.bridge-combobox-field .form-control:read-only,
.bridge-combobox-field span.k-state-disabled {
  background-color: initial;
  opacity: initial;
  cursor: initial;
}
.bridge-combobox-field .k-dropdown-wrap .k-select {
  min-height: initial;
  line-height: initial;
  width: initial;
}
.bridge-combobox-field .k-dropdown-wrap.k-state-hover {
  background-color: initial;
}
.k-popup .k-textbox {
  max-width: 100%;
}
/*#endregion ComboBox*/